Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.utils.xml.v2
Interface NodeHandler

All Known Implementing Classes:
  DefaultNodeHandler

public interface NodeHandler

Objects implementing the `NodeHandler` interface should be capable of translating an XML DOM object tree into an analogous hierarchy of application objects, in a similar manner to `DefaultNodeHandler`. A `DefaultNodeHandler` is capable of 'delegating' the processing of parts of its DOM tree to any other object implementing this `NodeHandler` interface.

Method Summary
`void` | `processNode(org.w3c.dom.Node n, java.lang.Object o)` Recursively processes all the children of a given XML node in the context of an application object represented by that node, in order to populate the application object and create and populate other 'child' application objects.

Method Detail

### processNode

    public void processNode(org.w3c.dom.Node n,
                            java.lang.Object o)
                     throws NodeHandlerException

  Recursively processes all the children of a given XML node in the context of an application object represented by that node, in order to populate the application object and create and populate other 'child' application objects.
  Parameters:
    `n` - current node whose children will be processed to populate the context application object.
    `o` - the context application object.
  Throws:
    `NodeHandlerException` - if unable to instantiate a child object or handler object, find a method corresponding to a simple element, or an exception occurs while calling a method on a child object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.